<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'contact.label', default: 'Contact')}"/>
  <title><g:message code="default.list.label" args="[entityName]"/></title>

</head>
<body>

<div class="body">
  <g:if test="${flash.message}">
    <div class="message">${flash.message}</div>
  </g:if>

  <P>Version finale réalisée avec Grails 1.2</P>

  <div id="updateMe">
    <g:each in="${contactInstanceList}" status="i" var="contactInstance">
      <img src='<g:resource dir="images" file="people.png"/>' alt="icon"/>
      ${contactInstance.prenom}

      <!-- Exemple d'utilisation d'un tag custom -->
      <g:editInPlace id="${contactInstance.id}" action="inlineEdit" controller="contact" paramName="nom" initialValue="${contactInstance.nom}"/>

      <g:link action="show" id="${contactInstance.id}">
        <img src="${resource(dir: 'images', file: 'edit.png')}" alt="edit" border="0"/>
      </g:link>
      <br/>
    </g:each>
    <div class="paginateButtons">
      <g:paginate total="${contactInstanceTotal}"/>
    </div>

  </div>
  <div>
    <g:formRemote name="quickSave" action="saveQuickInput" on404="alert('not found!')" update="updateMe"
            url="${[action:'saveQuickInput']}">
      Prénom : <g:textField name="prenom" value="${contactInstance?.prenom}"/>
      Nom :   <g:textField name="nom" value="${contactInstance?.nom}"/>

      <g:submitButton name="create" class="button" value="Créer"/>


    </g:formRemote>
  </div>

</div>

<div class="contact">
  <g:include action="create" controller="contact"/>
</div>
</body>
</html>
