<%@ page import="org.letouilleur.demo.Contact" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'contact.label', default: 'Contact')}"/>
  <title>Voir un contact</title>
</head>
<body>

<div class="body">
  <h2>Détail d'un contact</h2>

  <g:if test="${flash.message}">
    <div class="message">${flash.message}</div>
  </g:if>
  <div class="dialog">
    <table>
      <tbody>

      <tr class="prop">
        <td valign="top" class="name"><g:message code="contact.id.label" default="Id"/></td>

        <td valign="top" class="value">${fieldValue(bean: contactInstance, field: "id")}</td>

      </tr>

      <tr class="prop">
        <td valign="top" class="name"><g:message code="contact.prenom.label" default="Prenom"/></td>

        <td valign="top" class="value">${fieldValue(bean: contactInstance, field: "prenom")}</td>

      </tr>

      <tr class="prop">
        <td valign="top" class="name"><g:message code="contact.nom.label" default="Nom"/></td>

        <td valign="top" class="value">${fieldValue(bean: contactInstance, field: "nom")}</td>

      </tr>

      <tr class="prop">
        <td valign="top" class="name"><g:message code="contact.dateNaissance.label" default="Date Naissance"/></td>

        <td valign="top" class="value"><g:formatDate date="${contactInstance?.dateNaissance}"/></td>

      </tr>

      <tr class="prop">
        <td valign="top" class="name"><g:message code="contact.email.label" default="Email"/></td>

        <td valign="top" class="value">${fieldValue(bean: contactInstance, field: "email")}</td>

      </tr>

      </tbody>
    </table>
  </div>
  <div class="buttonbox">
    <g:form>
      <g:hiddenField name="id" value="${contactInstance?.id}"/>
      <g:actionSubmit class="button" action="edit" value="Editer"/>
      <g:actionSubmit class="button" action="delete" value="Effacer" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');"/>
    </g:form>
  </div>
</div>
</body>
</html>
